%set_firefox_version_specific

%define rname	ru
%define cid		\{9E20245A-B2EE-4ee6-815B-99C30B35D0D2\}
%define ciddir 	%firefox_extensionsdir/%cid
%define src_ver 1.0.1

Name:		%firefox_name-%rname
Version:	%firefox_version
Release:	alt0.M24.1
Summary:	Russian (RU) Language Pack for Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://www.chuonthis.com/extensions/

Source0:	%firefox_name-%src_ver-ru-RU.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: firefox-switch-locales
Requires: %firefox_name = %firefox_version

%description
The Mozilla Firefox Russian translation.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 1.0.4-alt0.M24.1
- backport to Master-2.4;
- new version (actually it's 1.0.1 without changes). 

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1.1
- postscript bugfix;

* Wed Mar 02 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1
- new version;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- new version;
- new extension scheme;

* Mon Jul 05 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt1
- New version;
- New build scheme.

* Thu Mar 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- New build scheme;
- New version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.7-alt2
- First build for ALT Linux.
